Request

Response

    Lists categories.
    GET

    v1/classifications/categories

    List categories defined in the system. Categories can be found in various contexts. For example, in the context of building models - walls, columns, floors, etc. For annotations - room tags, area tags, sections, elevations, etc.

    Current categories used in the Revit are supported. For more information about the definition of categories, please refer to the Field Guide. For this endpoint, the user (authorization token) does not need access to a given Forma hub.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/parameters/v1/classifications/categories
    Authentication Context
    user context required
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow.
    Region
    string
    The region the hub’s data is provisioned in. Currently supports US, EMEA, AUS, IND, DEU, JPN, CAN, and GBR. Default is US.
    * Required

    Request

    Query String Parameters

    offset
    int
    Offset from the start of the collection to the first entry in the page. Zero based.
    limit
    int
    Determines the maximum number of objects that MAY be returned. A query MAY return fewer than the value of limit due to filtering or other reasons.
    filter[bindable]
    boolean
    Filters out the bindable items.
    ids
    string
    The category IDs split by comma. With this query parameter, you can get the specified categories in an array.

    Response

    HTTP Status Code Summary

    200
    OK
    Successful retrieval of the categories.
    400
    Bad Request
    The request could not be understood by the server due to malformed syntax.
    401
    Unauthorized
    Request has not been applied because it lacks valid authentication credentials for the target resource.
    403
    Forbidden
    The server understood the request but refuses to authorize it.
    404
    Not Found
    The resource cannot be found.
    406
    Not Acceptable
    The server cannot produce a response matching the list of acceptable values defined in the request.
    410
    Access to the target resource is no longer available.
    429
    Too Many Requests
    User has sent too many requests in a given amount of time.
    500
    Internal Server Error
    An unexpected error occurred on the server.
    503
    Service Unavailable
    Server is not ready to handle the request.

    Response

    Body Structure (200)

    Expand all
    pagination
    object
    The information for paginating records returned by the endpoint.
    offset
    int
    Offset from the start of the collection to the first entry in the page. Zero based.
    limit
    int
    Determines the maximum number of objects that MAY be returned. A query MAY return fewer than the value of limit due to filtering or other reasons.
    totalResults
    int
    The total number of results that match the query irrespective of limit.
    nextUrl
    string
    Link that will return the next page of data. If not included, this is the last page of data.
    results
    array: object
    id
    string
    The category ID.
    name
    string
    The category name.
    disciplineIds
    array: string
    The discipline IDs of this category. Look up detailed information in the response of the GET /disciplines API.
    parentCategoryId
    string
    The parent category ID of this category.
    bindingId
    string
    The bindingId of this this category. It is used to create the parameters with categories, which will help to organize the parameters in different categories in the application, like Revit. The category can’t be bound to any parameters if the bindingId is null.

    Example

    Successful retrieval of the categories (200).

    Request

    curl -v 'https://developer.api.autodesk.com/parameters/v1/classifications/categories'
        -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a' \
    

    Response

    {
      "pagination": {
        "offset": 0,
        "limit": 50,
        "totalResults": 207,
        "nextUrl": "https://developer.api.autodesk.com/parameters/v1/classifications/categories?offset=50&limit=50"
      },
      "results": [
        {
          "id": "autodesk.revit.category.family:abutmentFoundations-1.0.0",
          "name": "Abutment Foundations",
          "disciplineIds": null,
          "parentCategoryId": "autodesk.revit.category.family:bridgeAbutments-1.0.0",
          "bindingId": "ACFT-94206-BGDE-78534"
        },
        {
          "typeId": "autodesk.revit.category.family:abutmentPiles-1.0.0",
          "name": "Abutment Piles",
          "disciplineIds": null,
          "parentCategoryId": "autodesk.revit.category.family:bridgeAbutments-1.0.0",
          "bindingId": "ACFT-94206-BFTC-07019"
        }
      ]
    }
    
    Show More